=== debian/control ===
Source: rock-master-19.06-simulation-mars-app
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libqt4-dev, qt4-qmake, rock-master-19.06-simulation-lib-manager, rock-master-19.06-simulation-mars-common-gui-cfg-manager-gui, rock-master-19.06-simulation-mars-common-gui-data-broker-gui, rock-master-19.06-simulation-mars-common-gui-data-broker-plotter2, rock-master-19.06-simulation-mars-common-gui-lib-manager-gui, rock-master-19.06-simulation-mars-common-gui-log-console, rock-master-19.06-simulation-mars-common-gui-main-gui, rock-master-19.06-simulation-mars-entity-generation-smurf, rock-master-19.06-simulation-mars-graphics, rock-master-19.06-simulation-mars-gui, rock-master-19.06-simulation-mars-interfaces, rock-master-19.06-simulation-mars-plugins-cameragui, rock-master-19.06-simulation-mars-plugins-connexion-plugin, rock-master-19.06-simulation-mars-plugins-entity-view, rock-master-19.06-simulation-mars-plugins-pythonmars, rock-master-19.06-simulation-mars-plugins-skydomeplugin, rock-master-19.06-simulation-mars-scene-loader, rock-master-19.06-simulation-mars-sim, rock-master-19.06-simulation-mars-smurf-loader, rock-master-19.06-tools-configmaps
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-simulation-mars-app
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-simulation-lib-manager, rock-master-19.06-simulation-mars-common-gui-cfg-manager-gui, rock-master-19.06-simulation-mars-common-gui-data-broker-gui, rock-master-19.06-simulation-mars-common-gui-data-broker-plotter2, rock-master-19.06-simulation-mars-common-gui-lib-manager-gui, rock-master-19.06-simulation-mars-common-gui-log-console, rock-master-19.06-simulation-mars-common-gui-main-gui, rock-master-19.06-simulation-mars-entity-generation-smurf, rock-master-19.06-simulation-mars-graphics, rock-master-19.06-simulation-mars-gui, rock-master-19.06-simulation-mars-interfaces, rock-master-19.06-simulation-mars-plugins-cameragui, rock-master-19.06-simulation-mars-plugins-connexion-plugin, rock-master-19.06-simulation-mars-plugins-entity-view, rock-master-19.06-simulation-mars-plugins-pythonmars, rock-master-19.06-simulation-mars-plugins-skydomeplugin, rock-master-19.06-simulation-mars-scene-loader, rock-master-19.06-simulation-mars-sim, rock-master-19.06-simulation-mars-smurf-loader, rock-master-19.06-tools-configmaps, cmake, build-essential, libqt4-dev, qt4-qmake
Description: mars_app
 DFKI Robot simulator application loader
